package cn.fw.shirasawa.dao.mapper;

import cn.fw.shirasawa.domain.db.pool.CluePool;
import cn.fw.shirasawa.domain.dto.CluePoolDTO;
import cn.fw.shirasawa.domain.query.CluePoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : CustomerCluePoolMapper
 * @description : 客户线索池
 * @date: 2020-11-12 09:34
 */
@Repository
public interface CluePoolMapper extends BaseMapper<CluePool> {
    /**
     * 客户线索池
     * fixme 数据量大的时候性能有问题
     *
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<CluePoolDTO> clueList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") CluePoolQueryVO queryVO);

    /**
     * 总数
     *
     * @param queryVO
     * @return
     */
    Long clueListCount(@Param("condition") CluePoolQueryVO queryVO);

    /**
     * 成交数
     *
     * @param queryVO
     * @return
     */
    Long completeNum(@Param("condition") CluePoolQueryVO queryVO);

    /**
     * 战败数
     *
     * @param queryVO
     * @return
     */
    Long defeatNum(@Param("condition") CluePoolQueryVO queryVO);

    /**
     * 进行中的数量
     *
     * @param queryVO
     * @return
     */
    Long onGoingNum(@Param("condition") CluePoolQueryVO queryVO);
}
