package cn.fw.shirasawa.dao.mapper;

import cn.fw.shirasawa.domain.db.follow.FollowTask;
import cn.fw.shirasawa.domain.dto.FollowPoolDTO;
import cn.fw.shirasawa.domain.query.FollowPoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author : kurisu
 * @className : FollowTaskMapper
 * @description : 跟进任务
 * @date: 2020-08-12 10:58
 */
@Repository
public interface FollowTaskMapper extends BaseMapper<FollowTask> {
    /**
     * 跟进池
     * fixme 性能有问题
     *
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<FollowPoolDTO> followList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") FollowPoolQueryVO queryVO);

    /**
     * 查询跟进池总数
     *
     * @param queryVO
     * @return
     */
    Long followListCount(@Param("condition") FollowPoolQueryVO queryVO);
}
