package cn.fw.shirasawa.domain.db;


import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * 业务数据
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OriginalData extends BaseAuditableTimeEntity<OriginalData, Long> {
    /**
     * 数据类型
     */
    private FollowTypeEnum type;
    /**
     * 业态类型
     */
    private BusinessTypeEnum bizType;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案名称
     */
    private String customerName;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 联系方式
     */
    private String contacts;
    /**
     * 业务id
     */
    private String detailId;
    /**
     * 额外参数
     */
    private String note;
    /**
     * 跟进人员id
     */
    private Long userId;
    /**
     * 跟进人员名称
     */
    private String userName;
    /**
     * 数据产生时间
     */
    private LocalDateTime generateTime;
    /**
     * 截止日期
     */
    private LocalDateTime deadline;
    private LocalDateTime firstDeadline;
    /**
     * 是否处理
     */
    private Boolean solved;
    private Long shopId;
    private String shopName;
    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 是否覆盖 false-不覆盖 true-覆盖 默认不覆盖
     */
    private Boolean coverFlag;
    /**
     * 业务Id
     */
    private String bizId;
    /**
     * 二次分配数据
     */
    private Boolean secondary;
}
