package cn.fw.shirasawa.domain.db.follow;


import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.domain.enums.OutTimeEnum;
import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 跟进记录
 *
 * @author kurisu
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FollowRecord extends BaseAuditableTimeEntity<FollowRecord, Long> {
    /**
     * 跟进任务id
     */
    private Long taskId;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 业态类型
     */
    private BusinessTypeEnum bizType;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 联系方式
     */
    private String contacts;
    /**
     * 车牌号 （售后用）
     */
    private String plateNo;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 跟进人id
     */
    private Long userId;
    /**
     * 跟进人员姓名
     */
    private String userName;
    /**
     * 本次计划跟进时间
     */
    private LocalDateTime planTime;
    /**
     * 本次跟进截止时间
     */
    private LocalDateTime deadline;
    /**
     * 实际跟进时间
     */
    private LocalDateTime followTime;
    /**
     * 是否逾期（ 0-处理中 1-已完成 2-系统完成 3-已逾期）
     */
    private OutTimeEnum outTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 跟进产生的集团id
     */
    private Long groupId;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 二次分配数据
     */
    private Boolean secondary;
    /**
     * 是否添加到待办
     */
    private Boolean addTodo;
    /**
     * 待办编码
     */
    private String todoCode;
    /**
     * 生成待办所需参数
     */
    private String note;
    /**
     * 是否有效
     */
    private Boolean yn;
    /**
     * 本次是否强制电话  true-是 false-否
     */
    private Boolean compelTel;
    /**
     * 业务Id
     */
    private String bizId;
}
