package cn.fw.shirasawa.domain.db.follow;

import cn.fw.common.data.entity.BaseEntity;
import cn.fw.shirasawa.domain.enums.AttTypeEnum;
import cn.fw.shirasawa.domain.enums.FeedbackTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 跟进附件
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FollowRecordLog extends BaseEntity<FollowRecordLog, Long> {
    /**
     * 跟进记录id
     */
    private Long recordId;
    /**
     * 任务id
     */
    private Long taskId;
    /**
     * 附件类型
     */
    private AttTypeEnum attType;
    /**
     * 附件ids
     */
    private String attachments;
    /**
     * 描述
     */
    private String describes;
    /**
     * 上传时间
     */
    private LocalDateTime uploadTime;
    /**
     * 反馈类型
     */
    private FeedbackTypeEnum feedbackType;
}
