package cn.fw.shirasawa.domain.db.follow;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.shirasawa.domain.enums.FeedbackTypeEnum;
import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.domain.enums.TaskDefeatTypeEnum;
import cn.fw.shirasawa.domain.enums.TaskStateEnum;
import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 跟进任务
 *
 * @author kurisu
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class FollowTask extends BaseAuditableTimeEntity<FollowTask, Long> {
    /**
     * 线索id
     */
    private Long clueId;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 业态类型
     */
    private BusinessTypeEnum bizType;
    /**
     * 任务开始时间
     */
    private LocalDateTime beginTime;
    /**
     * 是否是二次分配
     */
    private Boolean redistribution;
    /**
     * 截止日期
     */
    private LocalDateTime deadline;
    /**
     * 是否完成
     */
    private TaskStateEnum state;
    /**
     * 终止时间
     */
    private LocalDateTime closeTime;
    /**
     * 当前跟进人
     */
    private Long followUser;
    private String followUserName;
    /**
     * 当前跟进人门店
     */
    private Long followShop;
    /**
     * 完成人
     */
    private Long finishUser;
    private String finishUserName;
    /**
     * 完成门店
     */
    private Long finishShop;
    /**
     * 任务战败原因
     */
    private TaskDefeatTypeEnum reason;
    /**
     * 跟进次数
     */
    private Integer times;
    /**
     * 反馈类型
     */
    private String feedback;
    /**
     * 最新反馈
     */
    private FeedbackTypeEnum lastFeedback;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 业务Id
     */
    private String bizId;
}
