package cn.fw.shirasawa.domain.db.pool;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.shirasawa.domain.enums.ClueStatusEnum;
import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * @author : kurisu
 * @className : CluePool
 * @description : 客户线索池
 * @date: 2020-11-11 18:02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class CluePool extends BaseAuditableTimeEntity<CluePool, Long> {
    /**
     * 业务id
     */
    private String refererId;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 档案名称
     */
    private String customerName;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 备注
     */
    private String note;
    /**
     * 联系方式
     */
    private String contacts;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 业态类型
     */
    private BusinessTypeEnum bizType;
    /**
     * 线索类型 同跟进类型
     */
    private FollowTypeEnum clueType;
    /**
     * 添加时间
     */
    private LocalDateTime addTime;
    /**
     * 生效时间
     */
    private LocalDateTime startTime;
    /**
     * 过期时间
     */
    private LocalDateTime deadline;
    /**
     * 完成时间
     */
    private LocalDateTime closeTime;
    private LocalDateTime firstDeadline;
    /**
     * 是否过期
     */
    private ClueStatusEnum clueStatus;
    /**
     * 是否已经二次分配
     */
    private Boolean redistribution;
    /**
     * 初始跟进人id
     */
    private Long originalUserId;
    /**
     * 初始跟进人名称
     */
    private String originalUserName;
    /**
     * 初始跟进门店id
     */
    private Long originalShopId;
    /**
     * 初始跟进门店名称
     */
    private String originalShopName;
    /**
     * 成交人员id
     */
    private Long finishUserId;
    /**
     * 成交人员名称
     */
    private String finishUserName;
    /**
     * 成交门店id
     */
    private Long finishShopId;
    /**
     * 成交门店名称
     */
    private String finishShopName;
    /**
     * 集团id
     */
    private Long groupId;

    /**
     * 是否覆盖 false-不覆盖 true-覆盖 默认不覆盖
     */
    private Boolean coverFlag;
    /**
     * 业务Id
     */
    private String bizId;
}
