package cn.fw.shirasawa.domain.dto;

import cn.fw.shirasawa.domain.enums.CallTypeEnum;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : kurisu
 * @className : CallReportDTO
 * @description : 通话记录
 * @date: 2021-01-19 15:57
 */
@Data
public class CallReportDTO {
    /**
     * 通话id
     */
    private String callId;
    /**
     * 工作人员id
     */
    private Long staffId;
    /**
     * 工作人员名称
     */
    private String staffName;
    /**
     * 用户号码
     */
    private String staffMobile;
    /**
     * 目标号码
     */
    private String peerNo;
    /**
     * 会员号
     */
    private Long memberId;
    /**
     * 名称
     */
    private String memberName;
    /**
     * 呼叫时间
     */
    private LocalDateTime callTime;
    /**
     * 通话时间 (秒)
     */
    private Long talkTime;
    /**
     * 呼叫类型
     */
    private CallTypeEnum dialType;
    /**
     * 集团id
     */
    private Long groupId;
}
