package cn.fw.shirasawa.domain.dto;

import lombok.Data;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * @author : kurisu
 * @className : CluePoolDTO
 * @description : 客户线索池
 * @date: 2020-11-20 15:27
 */
@Data
@ToString
public class CluePoolDTO {
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 线索类型
     */
    private Integer type;
    /**
     * 线索创建时间
     */
    private LocalDateTime addTime;
    /**
     * 线索开始时间
     */
    private LocalDateTime createDate;
    /**
     * 线索到期时间
     */
    private LocalDateTime deadline;
    /**
     * 线索状态
     */
    private Integer clueStatus;
    /**
     * 成交人员
     */
    private String finishUser;
    /**
     * 成交人员id
     */
    private Long finishUserId;
    /**
     * 成交门店
     */
    private String finishShop;
    /**
     * 成交门店id
     */
    private Long finishShopId;
    /**
     * 初始跟进人id
     */
    private Long originalUserId;
    /**
     * 初始跟进人名称
     */
    private String originalUser;
    /**
     * 初始跟进门店id
     */
    private Long originalShopId;
    /**
     * 初始跟进门店名称
     */
    private String originalShop;
    /**
     * 关单时间
     */
    private LocalDateTime closeTime;
}
