package cn.fw.shirasawa.domain.dto;

import lombok.Data;

import java.time.LocalDateTime;

/**
 * 跟进任务
 *
 * @author kurisu
 */
@Data
public class FollowPoolDTO {
    private Long id;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 客户姓名
     */
    private String customerName;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 跟进类型
     */
    private Integer type;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 跟进人员名称
     */
    private String followUserName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 任务开始时间
     */
    private LocalDateTime startTime;
    /**
     * 任务开始时间
     */
    private LocalDateTime deadline;
    /**
     * 跟进次数
     */
    private Integer times;
    /**
     * 剩余天数
     */
    private Integer remaining;
    /**
     * 二次跟进
     */
    private Boolean redistribution;
    /**
     * 状态 1：进行中 2：已成交 3：战败
     */
    private Integer state;
    /**
     * 成交门店
     */
    private Long finishShop;
    /**
     * 成交人
     */
    private String finishUserName;
    /**
     * 关单时间
     */
    private LocalDateTime closeTime;
    /**
     * 战败类型
     *
     * @see cn.fw.shirasawa.domain.enums.TaskDefeatTypeEnum
     */
    private Integer initiative;
    /**
     * 最后一次反馈
     */
    private Integer feedback;
    /**
     * 集团id
     */
    private Long groupId;
}
