package cn.fw.shirasawa.domain.dto;

import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.domain.enums.OutTimeEnum;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 跟进记录池dto
 *
 * @author : kurisu
 * @version : 1.0
 * @className : FollowRecordPoolDTO
 * @description : 跟进记录池dto
 * @date : 2022-08-03 14:35
 */
@Data
public class FollowRecordPoolDTO {
    private Long id;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 客户姓名
     */
    private String customerName;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 手机号
     */
    private String mobile;
    /**
     * 归属地
     */
    private String region;
    /**
     * 车架号
     */
    private String vin;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 跟进人员
     */
    private String follower;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 服务站
     */
    private String shopName;
    /**
     * 跟进开始时间
     */
    private LocalDateTime planTime;
    /**
     * 跟进完成时间
     */
    private LocalDateTime followTime;
    /**
     * 截止时间
     */
    private LocalDateTime deadline;
    /**
     * 完成跟进时长
     */
    private Integer remaining;
    /**
     * 状态 0: 进行中 1：已完成 2：系统完成 3：逾期
     */
    private OutTimeEnum state;
    /**
     * 跟进方式
     */
    private List<Integer> attType;
    /**
     * 集团id
     */
    private Long groupId;
}
