package cn.fw.shirasawa.domain.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * 设置dto
 *
 * @author kurisu
 */
@Data
@ToString
@EqualsAndHashCode
public class SettingDTO {
    private Long id;
    /**
     * 跟进类型
     */
    @NotNull(message = "跟进类型不能为空")
    private Integer category;
    /**
     * 设置类型
     */
    @NotNull(message = "设置类型不能为空")
    private Integer type;
    /**
     * 值
     */
    @NotNull(message = "设置参数值不合法")
    @Min(value = 0, message = "设置参数值不合法")
    private Integer detailValue;
    /**
     * 单位
     */
    @NotNull(message = "单位不能为空")
    private Integer unit;
}