package cn.fw.shirasawa.domain.vo;

import cn.fw.shirasawa.domain.enums.CallTypeEnum;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : SecretReportHistoryVO
 * @description : 智能通话池
 * @date: 2021-02-21 15:40
 */
@Data
public class SecretReportHistoryVO {
    private Long id;
    /**
     * 任务id
     */
    private Long taskId;
    /**
     * 跟进类型
     */
    private Integer followType;
    /**
     * 跟进id
     */
    private Long followRecordId;
    /**
     * 是否首次通话（针对跟进任务来说）
     */
    private Boolean firstCall;
    /**
     * 通话id
     */
    private String callId;
    /**
     * 工作人员id
     */
    private Long staffId;
    /**
     * 工作人员名称
     */
    private String staffName;
    /**
     * 客户id
     */
    private Long customerId;
    /**
     * 客户名称
     */
    private String customerName;
    /**
     * 呼叫类型
     */
    private CallTypeEnum callType;
    /**
     * 呼叫时间
     */
    private LocalDateTime callTime;
    /**
     * 通话时长
     */
    private Long callDuration;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 集团id
     */
    private Long groupId;

    public String getCallTypeDesc() {
        if (Objects.isNull(callType)) {
            return null;
        }
        return callType.getName();
    }
}
