package cn.fw.shirasawa.domain.vo.follow;

import cn.fw.shirasawa.domain.db.pool.CluePool;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : CustomerClueHistoryVO
 * @description : 客户跟进线索历史记录
 * @date: 2021-03-29 16:48
 */
@Data
public class ClueHistoryVO {
    /**
     * id
     */
    private Long id;
    /**
     * 跟进类型
     */
    private Integer type;
    /**
     * 跟进类型描述
     */
    private String typeDesc;
    /**
     * 原始门店信息
     */
    private String shopName;
    /**
     * 原始跟进人
     */
    private String userName;
    /**
     * 到期时间
     */
    private LocalDateTime deadline;

    /**
     * 跟进次数
     */
    private Integer followRecordTimes = 0;

    /**
     * 活动名称
     */
    private String activityName;



    public static ClueHistoryVO with(CluePool db) {
        if (Objects.isNull(db)) {
            return null;
        }
        ClueHistoryVO vo = new ClueHistoryVO();
        vo.setId(db.getId());
        vo.setType(db.getClueType().getValue());
        vo.setTypeDesc(db.getClueType().getName());
        vo.setShopName(db.getOriginalShopName());
        vo.setUserName(db.getOriginalUserName());
        vo.setDeadline(db.getDeadline());
        vo.setActivityName(db.getNote());
        return vo;
    }


    public boolean getOverdue() {
        return deadline.isBefore(LocalDateTime.now());
    }
}
