package cn.fw.shirasawa.domain.vo.follow;

import cn.fw.common.json.MaskMobilePhone;
import lombok.Data;

import java.time.LocalDateTime;
import java.time.ZoneOffset;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : FollowDetailVO
 * @description : 跟进详情
 * @date: 2020-08-17 15:16
 */
@Data
public class FollowDetailVO {
    private Long id;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 客户姓名
     */
    private String customerName;
    /**
     * 手机号
     */
    @MaskMobilePhone
    private String mobile;
    /**
     * 真实号码
     */
    private String realMobile;
    /**
     * 手机号归属
     */
    private String region;
    /**
     * 跟进类型
     */
    private Integer type;
    /**
     * 业态类型
     */
    private Integer bizType;
    /**
     * 跟进次数
     */
    private Integer times;
    /**
     * 跟进任务id
     */
    private Long taskId;
    /**
     * 逾期时间
     */
    private LocalDateTime deadline;
    /**
     * 任务截止日期
     */
    private LocalDateTime taskDeadline;
    /**
     * 是否已经打过电话
     */
    private Boolean hadCall;
    /**
     * 业务id
     */
    private String detailId;
    private Long userId;
    private String reason;

    public long getCountdown() {
        if (Objects.isNull(deadline)) {
            return 0L;
        }
        long ms = deadline.toInstant(ZoneOffset.of("+8")).toEpochMilli() - System.currentTimeMillis();
        return ms / 1000;
    }
}
