package cn.fw.shirasawa.domain.vo.follow;


import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 跟进记录
 *
 * @author kurisu
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FollowRecordVo extends BaseAuditableTimeEntity<FollowRecordVo, Long> {
    /**
     * 跟进任务id
     */
    private Long taskId;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 跟进类型
     */
    private FollowTypeEnum type;
    /**
     * 跟进人id
     */
    private Long userId;
    /**
     * 跟进人员姓名
     */
    private String userName;
    /**
     * 本次计划跟进时间
     */
    private LocalDateTime planTime;
    /**
     * 本次跟进截止时间
     */
    private LocalDateTime deadline;
    /**
     * 实际跟进时间
     */
    private LocalDateTime followTime;
    /**
     * 是否逾期（ 0-处理中 1-已完成 2-系统完成 3-已逾期）
     */
    private Integer outTime;
    /**
     * 备注
     */
    private String remark;
    /**
     * 跟进产生的集团id
     */
    private Long groupId;
    /**
     * 服务站id
     */
    private Long shopId;
    /**
     * 是否添加到待办
     */
    private Boolean addTodo;
    /**
     * 业务Id
     */
    private String bizId;

    /**
     * 跟进附件信息
     */
    private List<FollowRecordLogVo> followRecordLogVoList;
}
