package cn.fw.shirasawa.domain.vo.pool;

import cn.fw.common.json.MaskMobilePhone;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Objects;

/**
 * @author : kurisu
 * @className : FollowPoolListVO
 * @description : 跟进池
 * @date: 2020-09-23 15:08
 */
@Data
public class FollowPoolListVO {
    private Long id;
    /**
     * 客户姓名
     */
    private String customerName;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 手机号
     */
    @MaskMobilePhone
    private String mobile;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 跟进类型
     */
    private Integer type;
    /**
     * 跟进人员
     */
    private String follower;
    /**
     * 服务站
     */
    private String shopName;
    /**
     * 任务开始时间
     */
    private LocalDateTime startTime;
    /**
     * 任务开始时间
     */
    private LocalDateTime deadline;
    /**
     * 剩余天数
     */
    private Integer remaining;
    /**
     * 二次跟进
     */
    private Boolean redistribution;
    /**
     * 状态 1：进行中 2：已成交 3：战败
     */
    private Integer state;
    /**
     * 成交门店
     */
    private String finishShopName;
    /**
     * 成交人
     */
    private String finishUserName;
    /**
     * 反馈类型
     */
    private String feedback;
    /**
     * 关单时间
     */
    private LocalDateTime closeTime;
    /**
     * 战败类型
     */
    private String defeatType;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 跟进次数
     */
    private Integer times;

    public String getRemaining() {
        if (Objects.isNull(remaining) || state != 1) {
            return null;
        }
        StringBuilder sb = new StringBuilder();
        int num = remaining <= 0 ? 0 : remaining;
        int i = num / 24;
        if (i <= 0) {
            sb.append(num % 24).append("小时");
        } else {
            sb.append(i + 1).append("天");
        }
        return sb.toString();
    }
}
