package cn.fw.shirasawa.rpc.flow.dto;

import cn.fw.approval.sdk.param.InitiateApprovalParam;
import lombok.*;

import java.util.Collections;
import java.util.List;
import java.util.Map;

/**
 * @author : kurisu
 * @className : FlowDto
 * @description : 审批dto
 * @date: 2020-09-22 16:43
 */
@Data
@ToString
@AllArgsConstructor
@NoArgsConstructor
@Builder(toBuilder = true)
public class FlowDto {
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 模板号
     */
    private String approvalNo;
    /**
     * 发起人id
     */
    private Long initiatorId;
    /**
     * 门店
     */
    private List<Long> shopIds;
    /**
     * 描述  名称：xxxx
     */
    private List<String> briefContent;
    /**
     * 详情参数
     */
    private Map<String, Object> extData;
    /**
     * 条件值
     */
    private List<InitiateApprovalParam.Condition> conditions;

    public static FlowDto create(Long groupId, String flowNo, Long sponsorId, Long shopId) {
        return new FlowDto()
                .toBuilder()
                .groupId(groupId)
                .approvalNo(flowNo)
                .initiatorId(sponsorId)
                .shopIds(Collections.singletonList(shopId))
                .build();
    }
}
