package cn.fw.shirasawa.rpc.oop.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 门店信息
 * <p>
 * create at 2019-03-28
 *
 * @author kurisu
 */
@Data
public class ShopDTO implements Serializable {
    private static final long serialVersionUID = -4207031083679529029L;
    /**
     * 门店id
     */
    private Long id;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 集团名称
     */
    private String groupName;
    /**
     * 经销商id
     */
    private Long dealerId;

    /**
     * 经销商名称
     */
    private String dealerName;

    /**
     * 门店名称
     */
    private String shopName;

    /**
     * 简称
     */
    private String shortName;

    /**
     * 图标
     */
    private String shopLogo;

    /**
     * 门店业态
     */
    private Integer bizType;

    /**
     * 门店电话
     */
    private String tel;

    /**
     * 经度（百度坐标系）
     */
    private BigDecimal lng;

    /**
     * 纬度（百度坐标系）
     */
    private BigDecimal lat;

    /**
     * 门店地址
     */
    private String addr;

    /**
     * 门店地址所属城市区划编码
     */
    private String cityBh;

    /**
     * 负责人
     */
    private String owner;

    /**
     * 门店营业时间
     */
    private String openTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 售后门店
     */
    private Long casShopId;

    /**
     * 门店状态
     */
    private Integer status;
}
