package cn.fw.shirasawa.rpc.valhalla.dto;

import lombok.Data;

import java.util.Date;

/**
 * 保有客档案信息
 *
 * @author : kurisu
 * @version : 1.0
 * @className : ValhallaCustomerDTO
 * @description : 保有客档案信息
 * @date : 2022-07-22 10:05
 */
@Data
public class ValhallaCustomerDTO {
    /**
     * 档案id
     */
    private Long id;
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车架号
     */
    private String frameNo;
    /**
     * 姓名
     */
    private String name;
    /**
     * 联系电话
     */
    private String mobile;
    /**
     * 所属服务站id
     */
    private Long shopId;
    /**
     * 所属商家id
     */
    private Long dealerId;
    /**
     * 所属集团
     */
    private Long groupId;
    /**
     * 专属服务顾问id
     */
    private Long adviserId;
    /**
     * 专属服务顾问名称
     */
    private String adviserName;
    /**
     * 购车日期
     */
    private Date buyDate;
    /**
     * 上次进站时间
     */
    private Date arrivalTime;
    /**
     * 进站次数
     */
    private Integer arrivalCount;
    /**
     * 最后一次进站行驶里程
     */
    private Integer currentMileage;
    /**
     * 是否是贷款客户
     */
    private boolean loanCustomer;
    /**
     * 分期期数
     */
    private Integer periods;
    /**
     * 贷款到期时间
     */
    private Date expires;
}
