package cn.fw.shirasawa.sdk.param;

import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import cn.fw.shirasawa.sdk.enums.DataTypeEnum;
import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * @author : kurisu
 * @className : TaskCompleteDTO
 * @description : 完成跟进任务DTO
 * @date: 2022-01-12 16:09
 */
@Data
@EqualsAndHashCode
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TaskCompleteDTO {
    /**
     * 数据类型
     */
    @NotNull(message = "数据类型不能为空")
    private DataTypeEnum type;

    /**
     * 业态类型
     */
    @NotNull(message = "业态类型不能为空")
    private BusinessTypeEnum businessType;
    /**
     * 档案id
     */
    private Long customerId;
    /**
     * 业务id
     */
    @NotBlank(message = "业务id不能为空")
    private String detailId;
    /**
     * 门店id
     */
    @NotNull(message = "门店id不能为空")
    private Long shopId;

    /**
     * 完成时间
     */
    @NotNull(message = "完成时间不能为空")
    private Date completeTime;
    /**
     * 集团id
     */
    @NotNull(message = "集团id不能为空")
    private Long groupId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 人员id
     */
    @NotNull(message = "人员id不能为空")
    private Long userId;
    /**
     * 人员名称
     */
    @NotBlank(message = "人员名称不能为空")
    private String userName;
}
