package cn.fw.shirasawa.sdk.param;

import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import cn.fw.shirasawa.sdk.enums.DataTypeEnum;
import lombok.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @className : TerminationDTO
 * @description : 终止任务
 * @date: 2022-01-12 16:20
 */
@Data
@EqualsAndHashCode
@ToString
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TerminationDTO {
    /**
     * 数据类型
     */
    @NotNull(message = "数据类型不能为空")
    private DataTypeEnum type;
    /**
     * 业态类型
     */
    @NotNull(message = "业态类型不能为空")
    private BusinessTypeEnum businessType;
    /**
     * 业务id
     */
    @NotBlank(message = "业务id不能为空")
    private String detailId;
    /**
     * 跟进人员id
     */
    @NotNull(message = "跟进人员id不能为空")
    private Long userId;

}
