package cn.fw.shirasawa.server;

import cn.fw.security.auth.client.EnableAuthClient;
import cn.fw.shirasawa.property.UrlProperty;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.repository.configuration.EnableRedisRepositories;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * 启动类
 *
 * @author kurisu
 */
@EnableCaching
@EnableAuthClient
@EnableScheduling
@EnableDiscoveryClient
@EnableAutoConfiguration
@Configuration
@EnableRedisRepositories
@MapperScan("cn.fw.**.mapper")
@ComponentScan({"cn.fw.shirasawa.*"})
@EnableFeignClients({"cn.fw.**.sdk", "cn.fw.flow.api"})
@EnableConfigurationProperties({UrlProperty.class})
public class Application {
    public static void main(final String[] args) {
        SpringApplication.run(Application.class, args);
    }
}
