package cn.fw.shirasawa.component;

import cn.fw.shirasawa.sdk.mq.FollowApproveDTO;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 跟进审批战败
 *
 * @author : kurisu
 * @version : 1.0
 * @className : ApproveDefeatFollowProducer
 * @description : 跟进审批战败
 * @date : 2022-07-22 16:10
 */
@Slf4j
@Component
public class ApproveDefeatFollowProducer {
    @Autowired
    private RocketMQTemplate rocketMQTemplate;

    @RequestMapping(value = "send")
    public void send(FollowApproveDTO followApproveDTO) {
        try {
            log.info("发送跟进审批战败结果mq: body:[{}]", followApproveDTO);
            rocketMQTemplate.syncSend(FollowApproveDTO.FOLLOW_APPROVE_TOPIC + ":*", followApproveDTO);
        } catch (Exception e) {
            log.error("发送跟进审批战败结果mq失败--", e);
        }
    }
}
