package cn.fw.shirasawa.component;

import cn.fw.shirasawa.sdk.mq.FollowResultDTO;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author : kurisu
 * @className : RecordComplete
 * @description : 待办完成mq
 * @date: 2022-01-12 11:30
 */
@Slf4j
@Component
public class RecordResultProducer {

    @Autowired
    private RocketMQTemplate rocketMQTemplate;

    @RequestMapping(value = "send")
    public void send(FollowResultDTO resultDTO) {
        try {
            log.info("发送跟进结果mq: body:[{}]", resultDTO);
            rocketMQTemplate.syncSend(FollowResultDTO.FOLLOW_TOPIC + ":*", resultDTO);
        } catch (Exception e) {
            log.error("发送跟进结果mq失败--", e);
        }
    }
}
