package cn.fw.shirasawa.service.bus.follow.strategy.impl;

import cn.fw.shirasawa.domain.db.OriginalData;
import cn.fw.shirasawa.domain.db.follow.FollowTask;
import cn.fw.shirasawa.domain.db.pool.CluePool;
import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.service.bus.follow.strategy.AbstractFollowStrategy;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;

/**
 * 公共池客户跟进
 *
 * @author : kurisu
 * @version : 1.0
 * @className : PLFollowStrategy
 * @description : 公共池客户跟进
 * @date : 2022-07-20 15:17
 */
@Slf4j
@Component
@SuppressWarnings("Duplicates")
public class PLFollowStrategy extends AbstractFollowStrategy {
    @Value("${follow.todo.PLCode}")
    @Getter
    private String PLCode;

    @Override
    public FollowTypeEnum getFollowType() {
        return FollowTypeEnum.PL;
    }

    @Override
    public String getTodoCode() {
        return getPLCode();
    }

    @Override
    public boolean origin2task(OriginalData originalData) throws Exception {
        return false;
    }

    @Override
    public void startClue(CluePool cluePool) throws Exception {

    }
}
