package cn.fw.shirasawa.service.bus.follow.strategy.impl;

import cn.fw.shirasawa.domain.db.OriginalData;
import cn.fw.shirasawa.domain.db.follow.FollowTask;
import cn.fw.shirasawa.domain.db.pool.CluePool;
import cn.fw.shirasawa.domain.enums.FollowTypeEnum;
import cn.fw.shirasawa.service.bus.follow.strategy.AbstractFollowStrategy;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;

/**
 * @author : kurisu
 * @className : RVFollowStrategy
 * @description : 回访跟进
 * @date: 2022-01-11 15:37
 */
@Slf4j
@Component
public class RVFollowStrategy extends AbstractFollowStrategy {
    @Value("${follow.todo.RVCode}")
    @Getter
    private String RVCode;

    @Override
    public FollowTypeEnum getFollowType() {
        return FollowTypeEnum.RV;
    }

    @Override
    public String getTodoCode() {
        return getRVCode();
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean origin2task(OriginalData originalData) throws Exception {
        return false;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void startClue(CluePool cluePool) throws Exception {
// TODO: 2022/1/11
    }

}
