package cn.fw.shirasawa.service.data.impl;

import cn.fw.shirasawa.dao.mapper.FollowRecordLogMapper;
import cn.fw.shirasawa.domain.db.follow.FollowRecordLog;
import cn.fw.shirasawa.service.data.FollowRecordLogService;
import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author : kurisu
 * @className : FollowRecordAttachmentsServiceImpl
 * @description :
 * @date: 2020-08-12 11:08
 */
@Service
@Slf4j
public class FollowRecordLogServiceImpl extends ServiceImpl<FollowRecordLogMapper, FollowRecordLog> implements FollowRecordLogService {
    @Override
    public List<FollowRecordLog> getListByRecordIds(List<Long> recordIds) {
        if (CollectionUtils.isEmpty(recordIds)) {
            return null;
        }
        return this.list(Wrappers.<FollowRecordLog>lambdaQuery()
                .in(FollowRecordLog::getRecordId, recordIds)
                .orderByDesc(FollowRecordLog::getUploadTime)
        );
    }
}
