package cn.fw.shirasawa.service.data.impl;

import cn.fw.shirasawa.dao.mapper.SecretReportHistoryMapper;
import cn.fw.shirasawa.domain.db.SecretReportHistory;
import cn.fw.shirasawa.domain.dto.SecretReportHistoryDTO;
import cn.fw.shirasawa.domain.query.SecretReportHistoryQuery;
import cn.fw.shirasawa.service.data.SecretReportHistoryService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

/**
 * @author : kurisu
 * @className : SecretReportHistoryServiceImpl
 * @description : 通话记录
 * @date: 2021-02-21 14:58
 */
@Slf4j
@Service
public class SecretReportHistoryServiceImpl extends ServiceImpl<SecretReportHistoryMapper, SecretReportHistory> implements SecretReportHistoryService {
    @Override
    public List<SecretReportHistoryDTO> secretReportList(SecretReportHistoryQuery queryVO) {
        Integer current = queryVO.getCurrent();
        Integer pageSize = queryVO.getPageSize();
        Integer startIndex = (current - 1) * pageSize;
        return Optional.ofNullable(getBaseMapper().secretReportList(startIndex, pageSize, queryVO)).orElse(new ArrayList<>());
    }

    @Override
    public Long secretReportCount(SecretReportHistoryQuery query) {
        return Optional.ofNullable(getBaseMapper().secretReportCount(query)).orElse(0L);
    }
}
